Package com.castlabs.android.drm

# Class DrmConfiguration.Builder

java.lang.Object
com.castlabs.android.drm.DrmConfiguration.Builder

Enclosing class:
  `DrmConfiguration`

public static class DrmConfiguration.Builder extends Object
A builder implementation to create instances of `DrmConfiguration`s

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  `Builder(DrmConfiguration drmConfiguration)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DrmConfiguration.Builder`
  `audioDrm(Drm audioDrm)`
  `DrmConfiguration.Builder`
  `drm(Drm drm)`
  `DrmConfiguration.Builder`
  `forceWidevineL3(boolean forceWidevineL3)`
  `DrmConfiguration`
  `get()`
  `DrmConfiguration.Builder`
  `keyRotation(boolean keyRotation)`
  `DrmConfiguration.Builder`
  `mediaDrmProperties(Bundle mediaDrmProperties)`
  `DrmConfiguration.Builder`
  `offlineId(String offlineId)`
  `DrmConfiguration.Builder`
  `playClearSamplesWithoutKeys(boolean playClearSamplesWithoutKeys)`
  `DrmConfiguration.Builder`
  `preferManifestUrl(boolean preferManifestUrl)`
  `DrmConfiguration.Builder`
  `renewalThresholdMs(long renewalThresholdMs)`
  `DrmConfiguration.Builder`
  `requestParameters(Bundle requestParameters)`
  `DrmConfiguration.Builder`
  `url(String url)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

  - ### Builder

    public Builder(@NonNull DrmConfiguration drmConfiguration)

- ## Method Details

  - ### url

    @NonNull public DrmConfiguration.Builder url(@Nullable String url)

  - ### playClearSamplesWithoutKeys

    @NonNull public DrmConfiguration.Builder playClearSamplesWithoutKeys(boolean playClearSamplesWithoutKeys)

  - ### preferManifestUrl

    @NonNull public DrmConfiguration.Builder preferManifestUrl(boolean preferManifestUrl)

  - ### offlineId

    @NonNull public DrmConfiguration.Builder offlineId(@Nullable String offlineId)

  - ### drm

    @NonNull public DrmConfiguration.Builder drm(@Nullable Drm drm)

  - ### audioDrm

    @NonNull public DrmConfiguration.Builder audioDrm(@Nullable Drm audioDrm)

  - ### requestParameters

    @NonNull public DrmConfiguration.Builder requestParameters(@Nullable Bundle requestParameters)

  - ### keyRotation

    @NonNull public DrmConfiguration.Builder keyRotation(boolean keyRotation)

  - ### forceWidevineL3

    @NonNull public DrmConfiguration.Builder forceWidevineL3(boolean forceWidevineL3)

  - ### renewalThresholdMs

    @NonNull public DrmConfiguration.Builder renewalThresholdMs(long renewalThresholdMs)

  - ### mediaDrmProperties

    @NonNull public DrmConfiguration.Builder mediaDrmProperties(@Nullable Bundle mediaDrmProperties)

  - ### get

    @NonNull public DrmConfiguration get()